<template>
    <ul class="sellerDetailListItem"
      style="padding-top:0px;">
        <li>
          <span class="detailLabel">
            Days left till deadline
          </span>
          &nbsp;&nbsp;{{daysLeft}}
        </li>
       <li>
          <span class="detailLabel">
            Sales estimation
          </span>
          &nbsp;&nbsp;
        </li>
       <li>
          <span class="detailLabel">
            Days left according to estimation
          </span>
          &nbsp;&nbsp;
        </li>
    </ul>
</template>
<script>
import moment from 'moment'
export default {
  name: 'TimeEstimation',
  computed: {
    daysLeft () {
      let endDate = moment(this.$store.state.itemRegistrationModule.fullItemInformationObject.expectedSalesDate)
      let dateDuration = moment.duration(endDate.diff(new Date()))
      return parseInt(dateDuration.asDays())
    }
  }
}
</script>
